
textarea:focus, input:focus{
    outline: none;
}


*:focus {
    outline: none;
}


*{
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif!important;
}

html, body{
    height: 100%;
    width: 100%;
    background: lightgrey;
    
    
}

a{
    text-decoration: none;
}


.wrap{
    width: 100%;
    height: 100%;
    padding: 40px;
    background: lightgrey;

}


.cta_wrap{
    width: 100%;
    display: flex;
    justify-content: right;
}

.primary_btn{
    border: solid 2px #237d8f;
    cursor: pointer;
    color: #237d8f;
    background: white;
    padding: 20px 30px;
    font-size: 20px;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.primary_btn:hover{
    background: #237d8f;
    color: white;
}

.secondary_btn{
    border: solid 2px #237d8f;
    cursor: pointer;
    color: #237d8f;
    background: white;
    padding: 10px 20px;
    font-size: 20px;
    border-radius: 5px;
    transition: all 0.3s ease;
}

.secondary_btn:hover{
    background: #237d8f;
    color: white;
}


.flex_btn{
    display: flex;

}


.btn_spinner{
    width: 100px;
}

.btn_spinner svg{
    max-width: 100%;
}





/*navigation*/


.menu_nav{
    display: flex;
    flex-wrap: wrap;
    /*
    flex-direction: column;
    */
}

.menu_nav a{

    width: 50%;

}

.menu_nav li{

    width: 100%;
    padding: 20px;
    margin-bottom: 5px;
    background: white;
    cursor: pointer;
    color: grey;
    transition: all 0.3s ease;
}


.menu_nav li:hover{
    background: #237d8f!important;
    color: white;

}


/*Columns*/

.col_2_row{
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.col2{
    flex-grow: 1;
}





/*forms*/


.form_wrap{

    width: 900px;
    padding: 40px 60px;
    background: white;
    border-radius: 5px;
    margin: 0 auto;

}


.f_title{
    font-size: 25px;
    font-weight: 400;
    margin-bottom: 40px;

}


form{

}

label{
    display: block;
    text-transform: uppercase;
    font-size: 12px;
    margin-bottom: 9px;
    color: darkgrey;
    font-weight: bold;
}

input, select, textarea{
    width: 100%;
    padding: 10px;
    font-size: 16px;
    margin-bottom: 30px;
    background: #e9f3f5;
    border: 0;
}

.choices__list--dropdown .choices__item {
    width: 100%;
    padding: 10px;
    font-size: 16px;
    margin-bottom: 20px;
    background: #e9f3f5;
    border: 0;   
}


#ctn_catch, .device_output, .soc_output, .email_catch, #sa_catch{

    border: solid 1px grey;
    padding: 20px;
    margin-bottom: 20px;
    background: #e9f3f5;
    max-height: 400px;
    overflow-y: scroll;
}


#ctn_catch li{

    width: 100%;
    padding: 20px;
    margin-bottom: 5px;
    background: white;
    cursor: pointer;
}


.email_catch li{

    width: 100%;
    padding: 20px;
    margin-bottom: 5px;
    background: white;
    cursor: pointer;
}

#sa_catch li{

    width: 100%;
    padding: 20px;
    margin-bottom: 5px;
    background: white;
    cursor: pointer;
    position: relative;
}



.m_select{
    background: #237d8f!important;
    color: white;

}



/*Devices*/

.device_filters, .soc_filters{
    display: flex;

}


.soc_row{
    margin-bottom: 10px;
}


.s_p_c{
    font-size: 0.8em;
    font-weight: bold;
}


.s_name{
    font-size: 1.2em;
}

.s_details{
    
}







/*Repeatable Section*/

.repeatable_section{
    padding: 40px 10px 40px 40px;
    background: white;
    border-left: solid 5px darkgrey;
    margin-bottom: 20px;
}




/*phones*/

.device_output li, .soc_output li{

    width: 100%;
    padding: 10px 20px;
    margin-bottom: 5px;
    background: white;
    cursor: pointer;

}

.s_select{
    background: #237d8f!important;
    color: white;

}


/*SOC*/



/*Order Group*/

.order_group{
    padding: 20px;
    background: #e9f3f5;
}


.order_group li{
    width: 100%;
    padding: 0px;
    /*
    border: solid 4px #efefef;
    */
    position: relative;
    margin-bottom: 20px;
    background: white;
    overflow: hidden;
    border-radius: 5px;
}

.del_order{
    position: absolute;
    top: 0px;
    right: 0px;
    padding: 10px;
    background: grey;
    color: white;
    cursor: pointer;

}


/*popup*/


.popup_background{
    width: 100%;
    height: 100%;
    background-color: rgba(128, 128, 128, 0.5);
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 999;
    display: none;

}

.popup_wrap{
    width: 600px;
    background: white;
    margin: 20px auto 0;
    border-radius: 4px;
    padding: 30px;
}


.popup_heading{
    font-size: 25px;
    font-weight: 400;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: solid 1px lightgrey;

}

.popup_action, .popup_action2{
    border-top: solid 1px lightgrey;
    display: flex;
    margin-top: 20px;
    padding-top: 20px;
    justify-content: space-between;
}

#pop_summary{

    min-height: 250px;
}



.cancel_btn{
    cursor: pointer;
}

.cancel_btn:hover{
    font-weight: bold;
}


.hidden, .hidden---{
    display: none!important;
}


/*CTN popup*/



.ctn_popup_background{
    width: 100%;
    height: 100%;
    background-color: rgba(128, 128, 128, 0.5);
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 999;
    display: none;

}

.ctn_popup_wrap{
    width: 600px;
    background: white;
    margin: 20px auto 0;
    border-radius: 4px;
    padding: 30px;
}


.ctn_popup_heading{
    font-size: 25px;
    font-weight: 400;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: solid 1px lightgrey;

}

.ctn_popup_action{
    border-top: solid 1px lightgrey;
    display: flex;
    margin-top: 20px;
    padding-top: 20px;
    justify-content: space-between;
}

#ctn_pop_summary{

    min-height: 250px;
}


.ctn_btn_wrap{
    text-align: right;
}



.ctn_btn{
    text-transform: uppercase;
    font-size: 0.8em;
    display: inline-block;
    padding: 10px;
    border: solid 1px grey;
    cursor: pointer;
    border-radius: 8px;
}







/*mobile / in HS*/



@media only screen and (max-width: 1100px) {

.wrap{
    padding: 0;
}


.form_wrap {
    width: 100%;

}

}



